Subject: bug#40671: [DOC] modify literal objects

From: Paul Eggert <[email-masked]>
Date: Sun, 3 May 2020 00:40:44 -0700

On 5/2/20 6:30 PM, Dmitry Gutov wrote:

> I'm making a semantic point: these values are special because they are at the
> other end of a certain set of "constant references". Not because they have any
> other property themselves, like being immutable.

I don't see why this semantic point makes a difference to the user. Regardless
of whether the objects are targets of "constant references" (whatever that
means), programs should not modify the objects in question. And if the semantic
point makes no practical difference, why complicate the manual with it?

It's simpler just to say: programs shouldn't modify these objects.

> The "whole story" can be enumerated in some place, sure. Self-evaluating forms
> seem to be the most important area to cover, though.

They're not the only thing to cover, and attempting to shoehorn this all into
self-evaluating forms could even be misleading.